summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author R. S. Ananda Murthy <rsamurti@gmail.com>2016-07-31 01:24:41 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-03 06:59:27 +0700
commit25a15e0042f557656ea545e383e49bf7e51de7e7 (patch)
tree479a60cafcb84d4c20b8d46b8ca349f0c53a7b49 /academic
parenta29df0305c4074bc99b3296e8e5fca948cc879ae (diff)
downloadslackbuilds-25a15e0042f557656ea545e383e49bf7e51de7e7.tar.gz
slackbuilds-25a15e0042f557656ea545e383e49bf7e51de7e7.tar.xz
academic/edsim51di: Moved from development.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/edsim51di/README4
-rw-r--r--academic/edsim51di/doinst.sh9
-rw-r--r--academic/edsim51di/edsim51di.SlackBuild111
-rw-r--r--academic/edsim51di/edsim51di.info10
-rw-r--r--academic/edsim51di/edsim51di.pngbin0 -> 5266 bytes
-rw-r--r--academic/edsim51di/license.txt8
-rw-r--r--academic/edsim51di/slack-desc19
7 files changed, 161 insertions, 0 deletions
diff --git a/academic/edsim51di/README b/academic/edsim51di/README
new file mode 100644
index 0000000000..ff70e8211d
--- /dev/null
+++ b/academic/edsim51di/README
@@ -0,0 +1,4 @@
+EdSim51, developed by James Rogers, is a 8051 microcontroller simulator.
+Unlike many industry-standard simulators that are widely available
+this simulator has the student in mind. This simulator will be very
+helpful to the students to learn programming 8051.
diff --git a/academic/edsim51di/doinst.sh b/academic/edsim51di/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/academic/edsim51di/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/edsim51di/edsim51di.SlackBuild b/academic/edsim51di/edsim51di.SlackBuild
new file mode 100644
index 0000000000..6988163bf5
--- /dev/null
+++ b/academic/edsim51di/edsim51di.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for EdSim51Di
+
+# Copyright 2014 R. S. Ananda Murthy, Mysore, India
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=edsim51di
+VERSION=${VERSION:-2.1.17}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+STARTDIR=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+unzip $CWD/$PRGNAM.zip
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p "$PKG/usr/share/$PRGNAM/lib" \
+ "$PKG/usr/share/applications" \
+ "$PKG/usr/share/icons/hicolor/48x48/apps" \
+ "$PKG/usr/bin" \
+ "$PKG/usr/doc/$PRGNAM-$VERSION"
+install -D -m644 $PRGNAM.jar $PKG/usr/share/$PRGNAM/
+install -D -m644 ./lib/edsim51sh.jar $PKG/usr/share/$PRGNAM/lib/
+install -D -m644 $STARTDIR/$PRGNAM.png $PKG/usr/share/icons/hicolor/48x48/apps/
+install -D -m644 $STARTDIR/license.txt $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $STARTDIR/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cat <<EOF > $PKG/usr/share/applications/$PRGNAM.desktop
+[Desktop Entry]
+Name=Edsim51DI
+Comment=An educational tool for learning 8051 microcontroller
+Exec=edsim51di
+Icon=edsim51di
+Terminal=false
+Type=Application
+Categories=Education
+StartupNotify=false
+EOF
+
+cat <<EOF > $PKG/usr/bin/edsim51di
+#!/bin/bash
+#execute edsim51di jar file
+exec java -jar /usr/share/edsim51di/edsim51di.jar
+EOF
+chmod +x $PKG/usr/bin/edsim51di
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/edsim51di/edsim51di.info b/academic/edsim51di/edsim51di.info
new file mode 100644
index 0000000000..81e7c9c6e7
--- /dev/null
+++ b/academic/edsim51di/edsim51di.info
@@ -0,0 +1,10 @@
+PRGNAM="edsim51di"
+VERSION="2.1.17"
+HOMEPAGE="http://www.edsim51.com/"
+DOWNLOAD="http://www.edsim51.com/8051simulator/edsim51di.zip"
+MD5SUM="3458e49bda689445737041c0e69c3a8c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="openjdk"
+MAINTAINER="R. S. Ananda Murthy"
+EMAIL="rsamurti@gmail.com"
diff --git a/academic/edsim51di/edsim51di.png b/academic/edsim51di/edsim51di.png
new file mode 100644
index 0000000000..5d92fd15a9
--- /dev/null
+++ b/academic/edsim51di/edsim51di.png
Binary files differ
diff --git a/academic/edsim51di/license.txt b/academic/edsim51di/license.txt
new file mode 100644
index 0000000000..d2ee22de06
--- /dev/null
+++ b/academic/edsim51di/license.txt
@@ -0,0 +1,8 @@
+EdSim51 is FREE
+
+Copyright Notice: EdSim51 and EdSim51DI are available free of charge.
+No part of EdSim51 or EdSim51DI or their documentation may be sold for
+profit or included in a package that is sold for profit without
+written authorisation from James Rogers.
+
+Contact: edsim51@gmail.com
diff --git a/academic/edsim51di/slack-desc b/academic/edsim51di/slack-desc
new file mode 100644
index 0000000000..a23e58fae3
--- /dev/null
+++ b/academic/edsim51di/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+edsim51di: edsim51di (An 8051 Simulator)
+edsim51di:
+edsim51di: EdSim51Di, developed by James Rogers, is a 8051 microcontroller
+edsim51di: simulator. Unlike many industry-standard simulators that are
+edsim51di: widely available this simulator has the student in mind.
+edsim51di: This simulator will be very helpful to the students to learn
+edsim51di: programming 8051.
+edsim51di:
+edsim51di:
+edsim51di:
+edsim51di: